Setting the Arc Radius by VBA using Annotation Scale

I am trying to write a VBA routine that will set my Arc Radius by the Annotation Scale.  I have run into some walls an could use some help.

I want to set the variable in the Cloud by Points,..Arc Radius

I found a bit of code on the site but have tried to modify it to suit my needs.

I was trying to define the value by defining the Resolution found in the Design File Settings > Advanced Settings > resolution dialog.

I am not a programmer so I really am not sure what variable I need here to finish this...

...so far this is what I have ...any help or other suggestions would be very appreciated.

Thanks

Sub SetCloudRadius()

    Dim startPoint As Point3d
    Dim point As Point3d, point2 As Point3d
    Dim lngTemp As Long
    Dim oMeasureUnit As MeasurementUnit
   
'   Start a command
    'CadInputQueue.SendCommand "DMSG ACTIVATETOOLBYPATH AEP BackCircles and Standards Check\BackCircle"

If oMeasureUnit = 120000 Then
      SetCExpressionValue "cloudParams.radius", (ActiveModelReference.GetSheetDefinition.AnnotationScaleFactor * 120000 / 128), "COMPCURV"
Else

If oMeasureUnit = 24384 Then
    SetCExpressionValue "cloudParams.radius", (ActiveModelReference.GetSheetDefinition.AnnotationScaleFactor * 24384 / 128), "COMPCURV"
   
Else

If oMeasureUnit = 1000 Then
    SetCExpressionValue "cloudParams.radius", (ActiveModelReference.GetSheetDefinition.AnnotationScaleFactor * 1000 / 128), "COMPCURV"

        End If
    End If
End If

'   Set a variable associated with a dialog box
   
    SetCExpressionValue "cloudParams.flags.lockRadius", 1, "COMPCURV"
  
      
End Sub

Anonymous
Related
Recommended